@import '../variables.scss';

.block-bigmap {

    .description-map {
        position: absolute;
        top: 15px;
        right: 0;
        left: 0;

        .description {
            display: flex;
            justify-content: space-between;
            align-items: end;

            .status {
                letter-spacing: 0;
                text-align: right;
                color: $dark-200;
                white-space: nowrap;
            }
        }

        .gotocard {
            margin-top: 20px;
        }

        .show-arrow {
            display: block;
            position: fixed;
            top: 30px;
            left: 60px;
            z-index: 50;
            transform: scale(1.5) rotate(180deg);

            .arrow-right {
                margin: 0;
            }
        }
    }
}

.block-ournetwork {

    .row {
        gap: 30px;

        .card {
            margin-top: 20px;
            flex-basis: 300px;
            flex-grow: 1;

            img {
                border-bottom: 4px solid #fe5e22;
                border-radius: 7px;
                border-bottom-left-radius: 0;
                border-bottom-right-radius: 0;
                width: 100%;
            }

            .card-wrapper {
                padding: 20px 30px 25px 30px;

                .count {
                    font-size: 42px;
                    font-weight: 500;
                    line-height: 45px;
                    letter-spacing: -0.02em;
                    text-align: left;

                    @media (max-width: 1299px) {
                        font-size: 40px;
                    }

                    @media (max-width: 991px) {
                        font-size: 30px;
                        line-height: 35px;
                    }
                }

                .description {
                    display: flex;
                    align-items: center;
                    justify-content: space-between;
                    flex-wrap: wrap;
                    gap: 15px;

                    .floating_ending {
                        font-size: 18px;
                        font-weight: 500;
                        line-height: 22px;
                        letter-spacing: 0;
                        text-align: left;
                        min-width: 60%;
                    }
                }
            }
        }

        @media (max-width: 575px) {
            gap: 0;
        }
    }
}

.block-ourmission, .block-yourfirstantenna {
    display: flex;
    flex-direction: column;
    width: 100%;
    margin-top: 70px;

    .container {
        display: flex;
        justify-content: space-between;
        flex-wrap: wrap;
        gap: 30px;

        .img-block {
            flex-grow: 1;
            flex-basis: calc(50% - 15px);
            min-width: 441px;
            height: 550px;
            background-image: url('/static/img/frontpage/ourmission/img1.jpg');
            background-size: cover;
            background-position: center;
            background-repeat: no-repeat;
            position: relative;
            float: left;

            &::after {
                content: '';
                position: absolute;
                width: 190px;
                height: 228px;
                right: 0;
                bottom: -100px;
                background-image: url('/static/img/frontpage/ourmission/img2.png');
                background-size: contain;
                background-position: center;
                background-repeat: no-repeat;
            }

            @media (max-width: 767px) {
                width: calc(100% + 40px);
                height: 480px;
                background-position: center top;

                &::after {
                    rotate: 25deg;
                    right: 25px;
                    bottom: -60px;
                    width: 110px;
                    height: 132px;
                }
            }

            @media (max-width: 575px) {
                min-width: unset;
                flex-basis: unset;
                margin: 0 -20px;
            }
        }

        .text-block {
            flex-grow: 1;
            flex-basis: calc(50% - 15px);
            display: flex;
            flex-direction: column;

            .subtitle {
                margin: 20px 0;
            }

            ol {
                list-style: none;
                padding: 0;
                margin-top: 80px;

                li {
                    position: relative;
                    margin-bottom: 20px;
                    padding: 0 30px;
                    counter-increment: my-awesome-counter;

                    &::before {
                        position: absolute;
                        left: 0;
                        content: counters(my-awesome-counter, '.', decimal-leading-zero);
                        color: $dark-300;
                        font-weight: 500;
                    }
                }
            }

            @media (max-width: 991px) {
                margin-top: 30px;

                .subtitle {
                    margin-bottom: 0;
                }

                ol {
                    margin-top: 0;
                }
            }
        }
    }

    @media (max-width: 991px) {
        margin-top: 50px;
    }
}

.block-yourfirstantenna {
    margin-top: 120px;

    .container {

        .img-block {
            max-width: calc(40% - 15px);
            background-image: url('/static/img/frontpage/ourmission/img3.png');
            background-size: 75%;
            background-position-y: top;
            height: 435px;

            &::after {
                background-image: none;
            }
        }

        .text-block {
            max-width: calc(50% - 15px);

            .subtitle {
                width: 60%;

                @media (max-width: 1299px) {
                    width: 70%;
                }
            }
        }
    }

    @media (max-width: 991px) {
        margin-top: 0;

        .container {

            .img-block {
                max-width: unset;
                background-size: 60%;
                background-position-y: top;
                height: 250px;
                margin-top: -35px;
            }

            .text-block {
                max-width: unset;

                .subtitle {
                    width: 100%;
                }
            }
        }
    }

    @media (max-width: 575px) {

        .container .text-block {
            margin-top: 0;
        }
    }
}

.block-partners {
    margin-top: 70px;

    .container {
        display: flex;
        justify-content: space-between;
        flex-wrap: wrap;
        gap: 30px;

        .text-block {
            width: 40%;
            flex-grow: 1;

            .subtitle {
                margin-top: 20px;
                text-transform: uppercase;
                line-height: 25px;
                font-weight: 500;
                color: $dark-200;
            }
        }

        .partners-items-block {
            width: calc(50% - 15px);
            justify-content: space-between;
            margin-top: -20px;
            flex-grow: 1;
            min-width: 400px;

            .partners-item {
                width: calc(50% - 10px);
                height: 130px;
                display: flex;
                align-items: center;
                justify-content: center;
                padding: 40px;
                border-radius: 7px;
                background-color: $gray-300;
                margin-top: 20px;

                img {
                    transition: all 0.4s;
                    filter: grayscale(1);
                    max-width: 100%;
                }

                &:hover {

                    img {
                        filter: none;
                    }
                }
            }
        }
    }

    @media (max-width: 1299px) {
        margin-top: 0;
    }

    @media (max-width: 991px) {
        margin-top: 30px;

        .container .partners-items-block .partners-item {
            padding: 20px;
            width: calc(50% - 25px);
        }
    }

    @media (max-width: 767px) {

        .container .partners-items-block {
            min-width: 300px;

            .partners-item {
                width: calc(50% - 10px);
                height: 70px;

                img {
                    max-height: 150%;
                }
            }
        }
    }
}

////////////////////////////////////////////////////////////// Light Theme /////////////////////////////////////////////////////////////

.darkmode--activated {

    .block-ourmission .container .text-block ol li::before {
        color: $dark-200;
    }

    .block-partners .partners-items-block .partners-item {
        background-color: $gray-400;
    }
}
